(function($) {
    "use strict";

    jQuery(document).ready(function($) {

        // SlickNav or Mobile Menu
        $(".mainmenu").slicknav({
            'label': '',
            'prependTo': '.header-area .container'
        }); // SlickNav End



        // Owl-Carousel
        $(".simple-slider").owlCarousel({
          nav: true,
          loop:true,
          dots: true,
          autoplay:true,
          items:1,
          navText:["<i class='fas fa-angle-left'></i>","<i class='fas fa-angle-right'></i>"] 

        }); // Owl-Carousel End

        // Animatate
        new WOW().init();
        // Animatate End


        // Off Canvas Menu Start

        $(".menu-trigger").on('click', function(){
            $(".off-canvas-menu").addClass("show-off-canvas-menu");
           $(".off-canvas-menu-shade").addClass("active");
        });        
        
        $(".menu-close, .off-canvas-menu-shade").on('click', function(){
            $(".off-canvas-menu").removeClass("show-off-canvas-menu");
            $(".off-canvas-menu-shade").removeClass("active");
        }); // Off Canvas Menu end

        /*---------------------------------
         All Window Scroll Top Function Start
        --------------------------------- */
        $(window).scroll(function () {
            // Scroll up
            if ($(window).scrollTop() >= 800) {
                $('div#scroll').slideDown(600);
            } else {
                $('div#scroll').slideUp(600);
            }
        });
        /*--------------------------------
         All Window Scroll Function End
        ---------------------------------*/
        $('div#scroll a').on('click', function () {
          $('html, body').animate({
              scrollTop: 0
          }, 1500);

          return false;
         }); //Scroll Top Function End

        //SMOOTH scroll start
        var scroll = new SmoothScroll('a[href*="#"]');

        //SMOOTH scroll end


    });

    jQuery(window).on('load', function() {
      var preLoder = $(".loader-wrapper");
      preLoder.delay(700).fadeOut(500);
      $('body').addClass('loaded');
    });

}(jQuery));